# DROP INDEX statement

DROP INDEX removes the specified index.

#### Syntax

    DROP INDEX index-Name

    DROP INDEX OrigIndex

    DROP INDEX DestIndex

#### Statement dependency system

If there is an open cursor on the table from which the index is dropped, the DROP INDEX statement generates an error and does not drop the index. Otherwise, statements that depend on the index's table are invalidated.

Parent topic: DROP statements
Related reference
DROP FUNCTION statement
DROP PROCEDURE statement
DROP SCHEMA statement
DROP SYNONYM statement
DROP TABLE statement
DROP TRIGGER statement
DROP VIEW statement